#loader_filter{
    display: block;
    position: absolute;
    z-index: 200000;
    width: 100%;
    height: 100%;
    background-color: rgba(245, 245, 245, 0.5);
}

.loader_calendar{

    position: relative;
    height: auto;
    width: 100%;
    max-width: 100%;
    margin: auto;
    padding: 50px 0;
    background-image: url(" /upload/img/icons/ship_loader.gif");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: auto 100px;
    display: flex;
    min-height: 200px;
    background-color: #fff;

}

.append_item{

    text-align:center;
    font-size: 18px;
    padding: 20px 0 0 0;
    color:var(--colorBlueAccent);
    cursor:pointer;
        
}

.append_item .fa{
    font-size: 22px;
    margin-right:5px;
}

.flag {
    width: 27px;
    height: 20px;
    display: block;
    float: left;
    margin: 3px 7px 0px 0px;
    background-repeat: no-repeat;
    background-size: cover;
    border: 1px solid #dfdfdf;
}

.cruise__name .flag{
    float: none;
    display: inline-block;
    margin: 0 0 -3px 10px;
}

.noborder{
    border: 1px solid #fff;
    display: block;
    float: left;
    margin: 3px 7px 0px 0px;
}

.info_bezviz{
    width: auto;
    height: 17px;
    border-radius:3px;
    padding:0 5px;
    border: 1px solid #dfdfdf;
}

.flag_list {
    order: -2;
    padding:2px 0 4px 0;
}

.note_dable{
    margin: 0 0 0 2px;
    font-weight:bolder;
}

.note_chaev{
    padding:5px 0 15px 0;
    color:#ed2836;
}

.popup-cabin{
    max-width:740px;
}

.popup-cabin li{
    font-size: 16px;
    line-height: 26px;
}

.popup-cabin li::before {
    content: "•";
    padding-left: 6px;
    padding-right: 10px;
}

.cruises-result__form{
    display: flex;
    align-items: center;
    gap: 10px;
}

#searchform a, #routers a, #options a, .info_cabins{
    cursor:pointer;
}

.pcenter{
    text-align:center;
}

.booking-table{
     grid-template-rows:repeat(auto-fill, minmax(1px, auto));
     border-top: 1px solid var(--colorBlueAccent);
}

.listcablist {
    display:grid;
    min-height: 0px;
    height: auto;
    grid-template-columns:100%;
    background-color:#fff;


}
.alert_red{
    margin-bottom:0px;
}
.alert_red::before {
    background: url("/upload/img/icons/alert_red.svg") 0 0/contain no-repeat;
}
.alert_red p{
    padding: 15px 0;
}

.has-error input{
    border:1px solid red !important;
}

.notify{
    padding: 30px 0 10px 0;
    text-align:center;
}

.seach_cabins{
    text-decoration:none;
}

.decks__wrap{
    margin: 30px 20px;
}

.decks__choose-num ul li{
    position:relative;
}
.hideli{
    display:none;
}

.gallery-slider__item{
    cursor: zoom-in;
    aspect-ratio: 30/20;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    width: 90%;
}

#menu_palubs li{
    cursor:pointer;
}

.booking-head__passengers form, .booking-head__tariff form {
     flex: 0 0 auto;
}

.hide_cat{
    visibility:hidden;
    cursor:default;
}

.sharedsection{
    padding-bottom: 20px;
}

.sharebutton , .copy_text{
    display:inline-block;
    padding: 5px;
    margin-top:5px;
    font-size: 15px;
    text-transform: none;
}

.shared_div{
    text-align:right;
    padding: 10px;
}

#shared_info{
    display:none;
    padding: 20px 25px 25px 25px;
    font-size: 18px;
    line-height: 22px;
    background-color:#fff;
    margin-top: -20px;
}

#shared_info p{
    line-height: 22px;
    margin-bottom: 10px;
}

#shared_info p a{
    color:var(--colorBlueAccent);
    text-decoration:underline;
}




#linerwinclude ul{
    list-style:disc;
    margin-bottom:15px;
}
#linerwinclude ul li{
    list-style:disc;
    margin: 0 0 10px 15px;
}

.decks__preview-img > span {
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    width: 100%;
    height: 100%;
    display: block;
    transition: -webkit-transform 0.6s cubic-bezier(0.37, 0, 0.63, 1);
    transition: transform 0.6s cubic-bezier(0.37, 0, 0.63, 1);
    transition: transform 0.6s cubic-bezier(0.37, 0, 0.63, 1), -webkit-transform 0.6s cubic-bezier(0.37, 0, 0.63, 1);
    will-change: transform;
}

.decks__preview-img > span:hover {
    -webkit-transform: scale(1.3);
    transform: scale(1.3);
    z-index:110;
    position:absolute;
    background-color:#fff;
}

.single_plan {
    height:20px;
}

.single_wrap {
    margin: 10px 20px;
}

.cabin-short__images .bgi{
    transition: -webkit-transform 0.6s cubic-bezier(0.37, 0, 0.63, 1);
    transition: transform 0.6s cubic-bezier(0.37, 0, 0.63, 1);
    transition: transform 0.6s cubic-bezier(0.37, 0, 0.63, 1), -webkit-transform 0.6s cubic-bezier(0.37, 0, 0.63, 1);
    will-change: transform;
}

.cabin-short__images .bgi:hover {
    -webkit-transform: scale(1.3);
    transform: scale(1.3);
    z-index:100;
}

#menu_paluns a{
    cursor:pointer;
}

._prices span{
    display:none;
}

.error_booking{

    display:block;
    padding: 70px 0 100px 0;
    text-align:center;
    color:red;
    font-size:18px;

}


.booking-head__tariff .forms {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    flex: 1 1 auto;
    gap: 24px;
}

.booking-head__tariff label span {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.booking-table__row{
    grid-template-columns:65px auto 250px 145px 200px;
}
.booking-table__row > div:nth-child(3) {
    text-decoration: none;
}

.cruise__btn-icon-favorite {
    width: 24px;
    height: 24px;
    background: url("/upload/img/icons/favorite.svg") center 0/contain no-repeat;
    margin-left: auto;
    margin-right: 16px;
}

.activesfavorine {
    background: url("/upload/img/icons/favorite_red.svg") center 0/contain no-repeat;
}


.price-slider {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    padding-right: 8px;
}

.price-slider__inputs {
    display: flex;
    gap: 18px;
}

.price-slider__inputs input {
    width: 68px;
    border-bottom: 1px solid var(--colorBlueAccent);
    height: 16px;
    font-size: 14px;
    line-height: 1;
    text-align: center;
    font-family: "Calibri", sans-serif;
    padding-bottom: 4px;
}

.price-slider__inputs input[type=number]::-webkit-outer-spin-button,
.price-slider__inputs input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    appearance: none;
    margin: 0;
}

.price-slider__inputs input[type=number] {
    -moz-appearance: textfield;
}

.price-slider__inputs input[type=number]:hover,
.price-slider__inputs input[type=number]:focus {
    -moz-appearance: number-input;
}

.price-slider .ranges {
    margin-top: 15px;
    margin-bottom: 5px;
    height: 6px;
    background: #EDEDED;
    border-radius: 4px;
    border: none;
    box-shadow: none;
    cursor: pointer;
}

.price-slider .ranges .noUi-connect {
    background: var(--colorBlueAccent);
}

.price-slider .ranges .noUi-handle {
    border: 5px solid var(--colorBlueAccent);
    border-radius: 3px;
    background: #FFF;
    box-shadow: none;
    border-radius: 50%;
    width: 18px;
    height: 18px;
}

.price-slider .ranges .noUi-handle::before,
.price-slider .ranges .noUi-handle::after {
    display: none;
}

.price-slider .ranges .noUi-handle.noUi-handle-upper {
    right: -8px;
}

.price-slider .ranges .noUi-horizontal .noUi-handle {
    right: -17px;
    top: 0;
}


.chaevue_notes label > b {
    content: "?";
    position: absolute;
    top: 0;
    right: 0;
    font-weight: 700;
    -webkit-transform: translateX(100%) translateY(-50%);
    transform: translateX(100%) translateY(-50%);
    cursor: pointer;
    padding: 5px;
}

.chaevue_notes label > b:hover + div {
    opacity: 1;
    pointer-events: all;
}

.chaevue_notes label > div {
    position: absolute;
    right: 0;
    bottom: 200%;
    padding: 20px 25px;
    width: 364px;
    background-color: #F0F0F0;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    z-index: 4;
    opacity: 0;
    pointer-events: none;
    transition: all 0.2s ease 0s;
}

.chaevue_notes label > div::after {
    content: "";
    width: 0;
    height: 0;
    border-top: 22px solid transparent;
    border-bottom: 22px solid transparent;
    border-right: 22px solid #F0F0F0;
    display: block;
    position: absolute;
    bottom: 0;
    right: 0;
    -webkit-transform: translateY(calc(50% - 2px)) rotate(-7deg);
    transform: translateY(calc(50% - 2px)) rotate(-7deg);
}

.chaevue_notes label span {
    position: relative;
    padding-left: 20px;
}

.chaevue_notes label span::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 14px;
    height: 14px;
    border: 1px solid var(--colorBlueAccent);
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    z-index: 1;
}

.chaevue_notes label span::after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 14px;
    height: 14px;
    top: 50%;
    -webkit-transform: translateY(-50%) scale(0);
    transform: translateY(-50%) scale(0);
    background: url("/upload/img/icons/check.svg") center/contain no-repeat;
    z-index: 2;
    transition: all 0.2s ease 0s;
}

.guest-table__row > div > div{
    display:none;
    font-weight:bolder;
}

.booking-result .booking-body__head{
    margin-bottom:20px;
}

.msg::before{
    top:25%;
}

.guests__wrap .selects-type-arrow .select2-selection{
    border:1px solid var(--colorBlueAccent) !important;
}

.guests__form input{
    height:30px;
}

.tobook{
    flex: 0 0 45% !important;
    margin: auto;
}

.titles{
    color: var(--colorBlue);
    text-align:center;
    font-weight:bold;
    font-size:20px;
    margin:15px 0;
}

.filter__item_btn-more .link-arrow{
    border: 1px solid var(--colorBlueAccent);
    border-radius:5px;
    padding: 10px 5px 9px 19px;
}

@media (max-width: 576px) {

.note_dable{
	display:block;
	margin: 5px 0;

}

    .guest-table__row input{
        width:95%;
    }

    .booking-result {
        margin-bottom: 20px;
    }

    .msg{
        padding:8px 5px 8px 55px;
    }

    .msg::before{
        left:8px;
        top:30%;
    }

    .guests__contacts{
        margin-bottom:10px;
    }

    .guest-table__row {

        display: block;
        border-top: 1px solid var(--colorBlueAccent) !important;
        margin: 10px 0;

    }

    .guest-table__row > div{
        padding:12px 14px 10px;
        text-align:left;
    }

    .guest-table__row-head{
        display:none;
    }

    .guest-table__row > div > div{
        display:block;
        padding-bottom:5px;
        width:65%;
    }

    .booking-table__row {
        grid-template-columns: 52px auto 128px;
        grid-template-areas:
                "type name    name  "
                "type tariff  price "
                "type --empty button";
    }

    .select2-selection {
        max-width: 100%;
    }

    .seach_cabins{
        margin:auto;
        width: 40% !important;
    }

    .decks__wrap {
        margin: 0px 10px;
    }


    .popup-cabin {
        padding: 0 20px;
    }

    .popup-cabin__left {
        flex: 0 0 360px;
        width: 360px;
    }

    .counter__btn {

        flex: 0 0 30px;
        width: 30px;
        font-size: 23px;
    }

}

